#ifndef CNTSETTINGDLG_H
#define CNTSETTINGDLG_H

#include "CntSettingDlgBase.h"
#include "CountingParam.h"


class CntSettingDlg: public CntSettingDlgBase
{
public:

    CntSettingDlg(wxWindow *parent, wxWindowID id = wxID_ANY, const wxPoint &pos = wxDefaultPosition, const wxSize &size = wxDefaultSize);
    virtual ~CntSettingDlg();

    void SetSettingParam(SettingParam *pParam);
    void GetSettingParam(SettingParam &param);

private:
    void OnBtnOkClick(wxCommandEvent &event);
    void OnBtnCancelClick(wxCommandEvent &event);
    void OnRdbCountingMethodSelect(wxCommandEvent &event);
    void OnInit(wxInitDialogEvent &event);

    static SettingParam m_settingParam;
};

#endif
