#ifndef __SourceCounterMain__
#define __SourceCounterMain__

#include <wx/wx.h>
#include "CountingManager.h"
#include "SourceCounterDialogBase.h"

const wxString DIALOG_CAPTIOM = _("SourceCounter");

class SourceCounterDialog : public SourceCounterDialogBase, CCounterObserver
{
public:
	SourceCounterDialog(wxWindow* parent);
	virtual ~SourceCounterDialog();

protected:
    CountingManager* m_pCountingMgr;

    void OnClose(wxCloseEvent& event);
    void OnQuit(wxCommandEvent& event);
    void OnBtnMoreSettingsClick(wxCommandEvent& event);
    void OnBtnAddDirClick(wxCommandEvent& event);
    void OnBtnDeleteClick(wxCommandEvent& event);
    void OnBtnSelSrcTypeClick(wxCommandEvent& event);
    void OnBtnStartClick(wxCommandEvent& event);
    void OnInit(wxInitDialogEvent& event);
    void OnBtnStopClick(wxCommandEvent& event);

    virtual void UpdateCountingInfoCtrls(void);

    wxDirDialog* m_dlgAddDir;
};

#endif
