#include "CntSettingDlg.h"

SettingParam CntSettingDlg::m_settingParam;

CntSettingDlg::CntSettingDlg(wxWindow* parent, wxWindowID id, const wxPoint& pos, const wxSize& size) :
	CntSettingDlgBase(parent)
{
}

CntSettingDlg::~CntSettingDlg()
{
}


void CntSettingDlg::SetSettingParam(SettingParam* pParam) //In
{
	m_settingParam.m_nCountingMethodType = pParam->m_nCountingMethodType;
}


void CntSettingDlg::OnInit(wxInitDialogEvent& event)
{
	m_rdbCountingMethod->SetSelection(m_settingParam.m_nCountingMethodType);

	wxString strTemp;
}


void CntSettingDlg::GetSettingParam(SettingParam& param) //Out
{

	param.m_nCountingMethodType = m_settingParam.m_nCountingMethodType;
}

void CntSettingDlg::OnBtnOkClick(wxCommandEvent& event)
{
	EndModal(wxID_OK);
}


void CntSettingDlg::OnBtnCancelClick(wxCommandEvent& event)
{
	EndModal(wxID_CANCEL);
}

void CntSettingDlg::OnRdbCountingMethodSelect(wxCommandEvent& event)
{
	m_settingParam.m_nCountingMethodType = event.GetSelection();
}
