#ifndef __CountingParam__
#define __CountingParam__

#include <wx/wx.h>


class SettingParam
{
public:
	SettingParam();
	virtual ~SettingParam();

public:
	int m_nCountingMethodType;		///< when code and comment in one line

private:

};

class CountingParam
{
public:
	CountingParam();
	virtual ~CountingParam();

	wxArrayString       m_arrSrcFolderPath;         ///< Storing source folder path for counting
	wxArrayString       m_arrSrcType;               ///< Storing source type for counting
	bool				m_bRecursiveCounting;		///< Recursive folder counting flag
	SettingParam        m_settingParam;             ///< More setting parameter for counting

};

#endif
